<?php

namespace Modules\Evaluation\Service;

use Entity\Model\CsTypes;
use PDO;

class AssociationService
{
    private \PDO $pdo;

    public function __construct(\PDO $pdo)
    {
        $this->pdo = $pdo;
    }
    /**
     * getAssociationsLabels
     *
     * @return array<mixed>
     */
    public function getAssociationsLabels()
    {
        $csTypes = new CsTypes($this->pdo);
        $types = $csTypes->fetchAll(['TYPE', 'LIBELLE'], [], PDO::FETCH_ASSOC);

        return $types;
    }
}
